Bug 1281893 - packaging: gfind_missing_files are not in geo-rep %if ... %endif conditional
packaging: gfind_missing_files are not in geo-rep %if ... %endif conditional
Product: GlusterFS
Classification: Community
Component: packaging (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kaleb KEITHLEY
: Triaged
Depends On: 1281892
Blocks: glusterfs-3.7.7
  Show dependency treegraph
Reported: 2015-11-13 12:51 EST by Kaleb KEITHLEY
Modified: 2016-04-19 03:48 EDT (History)
0 users

See Also:
Fixed In Version: glusterfs-3.7.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1281892
Last Closed: 2015-11-19 09:59:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2015-11-13 12:51:56 EST
+++ This bug was initially created as a clone of Bug #1281892 +++

Description of problem:

If geo-rep is disabled in the build, gfind_missing_files will be included in the ganesha sub-package

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Vijay Bellur 2015-11-13 13:02:19 EST
REVIEW: http://review.gluster.org/12578 (packaging: gfind_missing_files not in geo-rep %if ... %endif conditional) posted (#1) for review on release-3.7 by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 2 Vijay Bellur 2015-11-16 03:46:32 EST
COMMIT: http://review.gluster.org/12578 committed in release-3.7 by Niels de Vos (ndevos@redhat.com) 
commit ab0152f08dc9c190afa237a877345969b6f399f7
Author: Kaleb S KEITHLEY <kkeithle@redhat.com>
Date:   Fri Nov 13 13:00:41 2015 -0500

    packaging: gfind_missing_files not in geo-rep %if ... %endif conditional
    if geo-rep is disabled in the build then the gfind_missing_files
    are erroneously included in the ganesha sub-package
    Change-Id: I41204c83e99dbb7424f10e29403d58b8e46b6526
    BUG: 1281893
    Signed-off-by: Kaleb S KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12578
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Milind Changire <mchangir@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
Comment 3 Kaushal 2016-04-19 03:48:11 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.7, please open a new bug report.

glusterfs-3.7.7 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://www.gluster.org/pipermail/gluster-users/2016-February/025292.html
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.